[android-components](../../../index.md) / [mozilla.components.browser.state.search](../../index.md) / [SearchEngine](../index.md) / [Type](./index.md)

# Type

`enum class Type` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/search/SearchEngine.kt#L30)

A enum class representing a search engine type.

### Enum Values

| Name | Summary |
|---|---|
| [BUNDLED](-b-u-n-d-l-e-d.md) |  |
| [CUSTOM](-c-u-s-t-o-m.md) |  |
